Subject: RE: bug#1434: Docstring for `toggle-read-only' shouldn't imply thebuffer is file-visiting

From: "Drew Adams" <[email-masked]>
Date: Wed, 26 Nov 2008 10:08:30 -0800

> Most references to readonly-ness in files.el do talk about
> file-visiting buffers, which makes sense. However, `toggle-read-only'
> is useful for non-visiting buffers too, though the docstring seems to
> imply otherwise.
> 
> Docstring for `toggle-read-only' says:
> 
>  Change whether this buffer is visiting its file read-only.
>  With prefix argument ARG, make the buffer read-only if ARG is
>  positive, otherwise make it writable.  If visiting file read-only
>  and `view-read-only' is non-nil, enter view mode.

FWIW, I agree. When writing mode doc strings that describe some key bindings
using \\[...], for instance, I typically toggle read-only in *Help*, to adjust
line lengths there before correcting the source code.